Page MenuHomePhabricator

Allow sysops to tweak the amount of time a medium is deleted to conform to copyright laws but also saving the medium from being lost
Closed, DuplicatePublic

Description

Wouldn't it be handy that if an educational image gets deleted because it's still protected by copyright that it could be deleted until the time that the copyright expires? For example an image of some blueprints for an early aeroplane in a country where the copyright tends to be valid for 120 years or something that was created in 1910 get deleted on Wikimedia Commons that the deleting sysop could choose "delete until January 1st, 2030", as I've seen several images of art or other things uploaded whose copyright will expire in 2019 it seems like a hassle to delete them now, wait a year, and then request undeletion. If this were done automatically it could reduce duplicates being uploaded and if no-one is that hypothetical 2030 wishes to re-upload it then the image is simply (and unfortunately) lost from Wikimedia Commons forever. In-scope photographs could then always be "temporarily deleted" the same way block settings are customisable as on the French Wikipedia blocks for 150 years are normal and sysops could also manually decide to block accounts for a certain amount of years, so why not extend this feature to the deletion of in-scope images and other media that could be very useful in the future?

Event Timeline

DonTrung created this task.Jun 6 2018, 12:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2018, 12:13 PM
Restricted Application added projects: Commons, Multimedia. · View Herald TranscriptJun 6 2018, 12:43 PM
Vvjjkkii renamed this task from Allow sysops to tweak the amount of time a medium is deleted to conform to copyright laws but also saving the medium from being lost to ujbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from ujbaaaaaaa to Allow sysops to tweak the amount of time a medium is deleted to conform to copyright laws but also saving the medium from being lost.Jul 2 2018, 3:16 PM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.